summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--scripts/makepkg.sh.in3
1 files changed, 3 insertions, 0 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index c5dbed9f..b230b786 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -341,7 +341,10 @@ handledeps() {
fi
# we might need the new system environment
+ # set -e can cause problems during sourcing profile scripts
+ set +e
source /etc/profile &>/dev/null
+ set -e
return $R_DEPS_SATISFIED
}